Subject: [TR] Tr 6 Engine

From: [email-masked]
Date: Mon, 25 Aug 2014 16:08:19 -0400 (EDT)

List,

My newly rebuilt '75 Tr6 engine has been mounted on a stand in my
basement for several years.  I am finally ready to put it in the car but was
wondering about the cam and its state of lubrication after all this time.  Is
there an easy way to relube it without much disassembly?  Is relubing
necessary?  Anything else I should check/do before reinstallation?

Thanks,
Jamie Maddox

** [email-masked] **

Archive: http://www.team.net/archive